//---------------------------------------------------------------------------
#ifndef fdudnH
#define fdudnH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\ExtCtrls.hpp>
#include <vcl\ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TPanel *Panel1;
	TLabel *Label1;
	TTrackBar *TrackBar1;
	TLabel *Label2;
	TTrackBar *TrackBar2;
	TLabel *Label3;
	TTrackBar *TrackBar3;
	TLabel *Label4;
	TTrackBar *TrackBar4;
	TLabel *Label5;
	TTrackBar *TrackBar5;
	TLabel *Label6;
	TTrackBar *TrackBar6;
	TLabel *Label7;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall FormPaint(TObject *Sender);
	void __fastcall TrackBar1Change(TObject *Sender);
	void __fastcall TrackBar2Change(TObject *Sender);
	void __fastcall TrackBar3Change(TObject *Sender);
	void __fastcall TrackBar4Change(TObject *Sender);
	void __fastcall TrackBar5Change(TObject *Sender);
	void __fastcall TrackBar6Change(TObject *Sender);
	void __fastcall FormKeyPress(TObject *Sender, char &Key);
private:							// User declarations
	double A1, L1, f1, A2, L2, f2;	//parametry przebiegów
public:							// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
